<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RImeRouteFilterElement StructType
 * @subpackage Structs
 */
class RImeRouteFilterElement extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The elementType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $elementType;
    /**
     * The imeRouteFilterGroupName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $imeRouteFilterGroupName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RImeRouteFilterElement
     * @uses RImeRouteFilterElement::setName()
     * @uses RImeRouteFilterElement::setDescription()
     * @uses RImeRouteFilterElement::setElementType()
     * @uses RImeRouteFilterElement::setImeRouteFilterGroupName()
     * @uses RImeRouteFilterElement::setUuid()
     * @param string $name
     * @param string $description
     * @param string $elementType
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $elementType = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setElementType($elementType)
            ->setImeRouteFilterGroupName($imeRouteFilterGroupName)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeRouteFilterElement
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeRouteFilterElement
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get elementType value
     * @return string|null
     */
    public function getElementType()
    {
        return $this->elementType;
    }
    /**
     * Set elementType value
     * @param string $elementType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeRouteFilterElement
     */
    public function setElementType($elementType = null)
    {
        $this->elementType = $elementType;
        return $this;
    }
    /**
     * Get imeRouteFilterGroupName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getImeRouteFilterGroupName()
    {
        return $this->imeRouteFilterGroupName;
    }
    /**
     * Set imeRouteFilterGroupName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeRouteFilterElement
     */
    public function setImeRouteFilterGroupName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $imeRouteFilterGroupName = null)
    {
        $this->imeRouteFilterGroupName = $imeRouteFilterGroupName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeRouteFilterElement
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
